#
# spec file for package spectre-meltdown-checker
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           spectre-meltdown-checker
Version:        0.37
Release:        3.1
Summary:        Spectre & Meltdown Vulnerability Checker
License:        GPL-2.0+
Group:          Productivity/Security
Url:            https://github.com/speed47/spectre-meltdown-checker
Source:         %{name}-%{version}.tar.gz
ExclusiveArch:	%ix86 x86_64
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
A simple shell script to tell if your Linux installation is vulnerable against the 3 "speculative execution" CVEs that were made public early 2018.

Without options, it'll inspect your currently running kernel. You can also specify a kernel image on the command line, if you'd like to inspect a kernel you're not running.

The script will do its best to detect mitigations, including backported non-vanilla patches, regardless of the advertised kernel version number.


%prep
%setup -q

%build

%install
mkdir -p %buildroot/usr/bin
install -m 0755 spectre-meltdown-checker.sh %buildroot/usr/bin/

%check
exec bash -n spectre-meltdown-checker.sh

%files
%defattr(-,root,root)
%doc LICENSE  README.md
%{_bindir}/*

%changelog
* Sat May  5 2018 cs@linux-administrator.com
- initial package
